

<?php

// Überprüfen, ob der Parameter 'q' übergeben wurde
ini_set('display_errors', 1);
error_reporting(E_ALL);
//echo "test";




if (isset($_GET['q']) && !empty($_GET['q'])) {
  //  echo "test2";
    // Den Parameter 'q' aus der URL erhalten und sicherstellen, dass er für die URL kodiert wird
    $search_query = urlencode($_GET['q']);  // urlencode stellt sicher, dass Sonderzeichen korrekt in der URL verwendet werden
  //  echo "test3";
 
    // Die dynamische URL für die OpenStreetMap Nominatim API
   // $url = "https://nominatim.openstreetmap.org/search?q={$search_query}&format=json&addressdetails=1&dedup=1"; 

    $url = "https://geocode.search.hereapi.com/v1/geocode?q={$search_query}&apiKey=okEOI_7ww-l-Eop_6L8XY8YpWT2G-3bBNcO7ZoVT_P8";
//    $url = "https://geocode.search.hereapi.com/v1/geocode?q=Bayreuther+Str.+42%2C+Berlin&apiKey=okEOI_7ww-l-Eop_6L8XY8YpWT2G-3bBNcO7ZoVT_P8"
    //echo "test4";
  //  echo $url;
    //echo "test5";
 
    // Ausgabe der URL in der Konsole des Browsers
   // echo "<script>console.log('Die generierte URL ist: {$url}');</script>";


 //  echo "Die generierte URL ist: {$url}"; // Gibt die URL im Browser aus



    // cURL initialisieren
    $ch = curl_init();

    // cURL Optionen setzen
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); // SSL-Verifizierung ausschalten (falls nötig)
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'User-Agent: Stolperclean/1.0 (Stolperclean@gmail.com)'  // Deinen User-Agent anpassen
    ));
  
 
// Anfrage ausführen und Antwort speichern
$response = curl_exec($ch);

// cURL schließen
curl_close($ch);

// Antwort als JSON zurückgeben
header('Content-Type: application/json');
echo $response;
//echo "test6";
}
//echo "ende";
?>
